# About Changelog Preview

The **changelog preview module** can be used to display a changelog file in a markdown format on a Drupal site. The module provides a configuration page to set the path to the changelog file. The changelog file should be a markdown file. The module will parse the markdown file and display the content on the changelog page (`/changelog`).

The changelog page is only reachable for users with the permission `view changelog`. If you want to enable the changelog page for anonymous users, you can set the permission `view changelog` to the anonymous user or any other role.

Only administrators with the permission `administer site configuration` can set the path to the changelog file on the configuration page [`/admin/changelog_preview_manage`].
<br/><br/>

> Have fun with the module!

## Installation
#### Composer
```bash
composer require drupal/changelog_preview:^1.0
```

#### Drush
```bash
drush en changelog_preview
```

## Remaining steps
1. Make sure you have the `administer site configuration` permission to open the configuration page [`/admin/changelog_preview_manage`]
2. On the configuration page you can set the path to the changelog file. The path is relative to the Drupal root directory.
3. The changelog file should be a markdown file. The module will parse the markdown file and display the content on the changelog page [`/changelog`]
4. If you want to enable the changelog page for anonymous users, you can set the permission `view changelog` to the anonymous user or any other role.

## Requirements
* Drupal 9 or higher
* A markdown file for the changelog
* php-markdown library
  * The library is included in the module and will be installed automatically.
  * This library is from Michel Fortin and can be found on [GitHub - michelf/php-markdown](https://github.com/michelf/php-markdown)


## More information
#### Maintainer
* Phil Leon Kersting (https://www.drupal.org/u/plk)

#### Supporting organization
* Landwirtschaftsverlag GmbH (https://www.drupal.org/landwirtschaftsverlag-gmbh)