<?php

namespace Drupal\changelog_preview\Routing;

use Symfony\Component\Routing\Route;

/**
 * Defines dynamic route creation for the changelog preview module.
 */
class ChangelogPreviewRoutes {

  /**
   * Provides dynamic routes.
   */
  public function routes() {
    $routes = [];

    $config = \Drupal::config('changelog_preview.changelog_manage_form');
    $changelog_items_count = $config->get('changelog_items_count') ?? 0;

    for ($i = 0; $i < $changelog_items_count; $i++) {
      $browser_path = $config->get('changelog_browser_path_' . $i);
      $browser_name = $config->get('changelog_name_' . $i);

      if (empty($browser_path) || empty($browser_name)) {
        continue;
      }

      $routes['changelog.' . $i] = new Route(
        $config->get('changelog_browser_path_' . $i),
        [
          '_controller' => '\Drupal\changelog_preview\Controller\ChangelogPreviewController::content',
          '_title' => $config->get('changelog_name_' . $i),
        ],
        [
          '_permission' => 'view changelog',
        ]
      );
    }

    return $routes;
  }

}
